Download it now!
Bug 81237 - 2D OpenGL charts have wrong size
Summary: 2D OpenGL charts have wrong size
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: 81107
  Show dependency treegraph
 
Reported: 2014-07-11 16:03 UTC by Markus Mohrhard
Modified: 2014-09-21 13:54 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2014-07-11 16:03:36 UTC
Problem only appears in master. Related to the conversion to OpenGLWindow.
Comment 1 Commit Notification 2014-09-17 08:05:24 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=079c861f08d27aa8b6368aebc37f235979049286

fdo#81237: 2D OpenGL charts was upside-down



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Michael Meeks 2014-09-17 09:59:56 UTC
Re-titling to reflect the first part of the fix; Tamas reports:

[snip]
the chart size seems to be added in some view independent unit, which means when the document is zoomed in / zoomed out chart opengl window is resized well (in pixels), but the  rendered chart itself remains the same size, which also means that the ratio of the chart to the chart window changes (erroneously).
[/snip].
Comment 3 Commit Notification 2014-09-21 13:53:29 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ef6bcc291df6d0c67709d1c97f4d55d75e77179

fdo#81237: 2D OpenGL charts have wrong size



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-09-21 13:53:42 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5278a0e3a750aa5a982086ab02f213552c5ce63a

fdo#81237: OpenGL window is not resized by view change



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.